<?php
	$id = get_the_ID();
	$collection_albums = get_post_meta($id, 'collection_albums', true);
?>
<?php if ( post_password_required() ) { get_template_part( 'inc/templates/password-protected' ); } else { ?>
<div class="masonry isotope-grid no-padding row expanded">
	<?php
		if ($collection_albums) {
			$i = 0;
			foreach ($collection_albums as $album) {
				$album_galleries = get_post_meta($album, 'album_gallery', true);
				$column_size = thb_get_column_size('style1', $i);
				$image_id = get_post_thumbnail_id($album);
				$image_url = wp_get_attachment_image_src($image_id, 'twofold-1');
				$terms = get_the_terms( $album , 'album-category' );
				$cats = '';
				if (!empty($terms)) {
					foreach ($terms as $term) { $cats .= ' filter-'.strtolower($term->slug); }
				}
				$meta = get_the_term_list( $album, 'album-category', '', ', ', '' ); 
				$meta = preg_replace('/<a href=\"(.*?)\">(.*?)<\/a>/', "\\2", $meta);
				?>
					<figure class="item small-12 medium-6 <?php echo esc_attr($column_size.$cats); ?> columns">
						<a href="<?php echo get_permalink($album); ?>" class="photo album" style="background-image:url('<?php echo esc_url($image_url[0]); ?>');">
							<div class="album_overlay">
								<h3><?php echo get_the_title($album); ?></h3>
								<?php if ($meta) { ?>
								<hr />
								<aside class="meta"><?php echo esc_html($meta); ?></aside>
								<?php } ?>
							</div>
						</a>
					</figure>
				<?php
				$i++;
			}
		}
	?>
</div>
<?php } ?>